Subject: bug#11011: Binding S-TAB

From: Stefan Kangas <[email-masked]>
Date: Thu, 20 Aug 2020 12:06:44 -0700

found 11011 28.0.50
tags 11011 + confirmed
thanks

Antoine Levitt <[email-masked]> writes:

>>>From a posting on emacs-devel:
>
> Antoine Levitt <[email-masked]>:
>
>> Alright, I thought (kbd "S-TAB") would do the right thing, but
>> apparently not. I'm thoroughly confused by emacs keybinding system.
>
> Chong Yidong <[email-masked]>:
>
>> I think this is a bug in kbd.  It doesn't seem to handle TAB with
>> modifiers right.  Please file a bug.

I can reproduce this on current master:

0. emacs -Q
1. (global-set-key (kbd "S-TAB") (lambda () (message "FOO")))
2. S-TAB

And see the following error: "<backtab> is undefined"

Best regards,
Stefan Kangas